| xmonad-contrib-0.8.1: Third party extensions for xmonad | Source code | Contents | Index

XMonad.Util.WindowProperties

Portability | unportable
Stability | unstable
Maintainer | Roman Cheplyaka <roma@ro-che.info>

Contents

Usage

Description
EDSL for specifying window properties, such as title, classname or resource.
Synopsis

data Property

= Title String
| ClassName String
| Resource String
| Role String
| And Property Property
| Or Property Property
| Not Property
| Const Bool

hasProperty :: Property -> Window -> X Bool
focusedHasProperty :: Property -> X Bool

Usage
This module allows to specify window properties, such as title, classname or resource, and to check them. In contrast to ManageHook properties, these are instances of Show and Read, so they can be used in layout definitions etc. For example usage see XMonad.Layout.IM

data Property | Source

Most of the property constructors are quite self-explaining.
Constructors

Title String |
ClassName String |
Resource String |
Role String | WM_WINDOW_ROLE property
And Property Property |
Or Property Property |
Not Property |
Const Bool |

Instances

Read Property
Show Property

hasProperty :: Property -> Window -> X Bool | Source

Does given window have this property?

focusedHasProperty :: Property -> X Bool | Source

Does the focused window have this property?
Produced by Haddock version 2.4.2